routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});



Auth::routes();

// Route::get('/index','HomeController@index')->name('index');
// Route::get('/home', 'HomeController@home')->name('home');
Route::get('/dash','HomeController@dash')->name('dash');
Route::get('/logout','HomeController@logout')->name('logout');


Route::get('/register', function(){
	return redirect('/home');
});

Route::get('/register','RegisterController@create')->name('register');
Route::post('/register','RegisterController@store');

Route::get('/content','ContentController@create')->name('content.create');
Route::post('/content','ContentController@store')->name('content.store');

Route::get('/index','ContentController@index')->name('content.index');
// Route::post('/update/{id}',['uses'=>'ContentController@update','as'=>'content.update']);
Route::post('update/{id}',['as'=> 'content.update','uses'=>'ContentController@update']);


Route::post('/delete/{id}',['uses'=>'ContentController@destroy','as'=>'content.destroy']);

Route::get('edit/{id}',['as'=> 'content.edit','uses'=>'ContentController@edit']);
 


Route::group(['namespace'=>'Admin','prefix'=>'admin','middleware'=>['auth:web']],
function()
{
Route::get('/','UserTypeController@index')->name('index');

Route::resource('usertype','UserTypeController');

Route::get('/usertype','UserTypeController@index')->name('admin.usertype');
Route::post('/usertype','UserTypeController@store')->name('usertype.store');


Route::get('/','RoleController@index')->name('index');

Route::resource('role','RoleController');
Route::get('/role','RoleController@index')->name('admin.role');


Route::get('/','AlbumController@index')->name('index');
Route::resource('album','AlbumController');
Route::get('/album','AlbumController@index')->name('admin.album');
Route::get('/album/{id}',['as'=> 'album.show','uses'=>'AlbumController@show']);
Route::get('edit/{id}',['as'=> 'album.edit','uses'=>'AlbumController@edit']);

// Route::post('update/{id}',['as'=> 'album.update','uses'=>'AlbumController@update']);
Route::post('album/{id}',['as'=> 'album.destroy','uses'=>'AlbumController@destroy']);



Route::get('/','PhotoController@index')->name('index');
Route::resource('/photo','PhotoController');
Route::get('/photo/{id}','PhotoController@index')->name('admin.photo');

Route::post('/photo-store/{id}',['as'=>'photo.store','uses'=>'PhotoController@store']);

Route::get('/photo-gallery/{id}','PhotoController@gallery')->name('admin.photo.gallery');
Route::get('/photo/{id}','PhotoController@show')->name('back.photos.index');
Route::get('edit/{id}',['as'=> 'photo.edit','uses'=>'PhotoController@edit']);

// Route::post('update/{id}',['as'=> 'photo.update','uses'=>'PhotoController@update']);

Route::post('photo/{id}',['as'=> 'photo.destroy()','uses'=>'PhotoController@destroy']);

});

app/Http/Controllers/Admin/UserTypeController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use App\UserType;

class UserTypeController extends Controller
{

    public function index(){
    	$data=UserType::paginate(6);
    	return view('back.usertype.index',compact('data'));
           	
    }

    public function create(){
    	$data=UserType::get();
    	return view('back.usertype.create',compact('data'));

    }
    public function store(Request $request){
    	$message="User detail Created";
        
    	$this->validate($request,[
    		'name'=>'required',
    		'status'=>'required',
    	
    	]);
    	
    	UserType::create([
    		'name'=>$request->name,
    		'status'=>$request->status
    	
    	]);
    	return redirect()->route('admin.usertype')->with('status',$message);

    }
    public function edit($id){
    	$data=UserType::findorFail($id);
        
    	return view('back.usertype.edit',compact('data'));
    }

    public function update(Request $request,$id){
    	$message="UserType updated successfully";

    	$this->validate($request,[
    		'name'=>'required',
    		'status'=>'required',
    		
    	]);
    	UserType::find($id)->update([
    		'name'=>$request->name,
    		'status'=>$request->status,
    		   
    	]);
    	return redirect()->route('admin.usertype')->with('status',$message);
    }

    public function destroy($id){

        
        $message="UserType deleted successfully";

        // $data=UserType::findorFail($id);

        // $data=delete();
        
        DB::table('usertype')->where('id', $id)->delete();
        return redirect()->route('admin.usertype')->with('status',$message);
    }
}

resources/views/back/usertype/create.blade.php
  @extends('back.layout.master')
  @section('content')


<div class="content-wrapper">
   <section class="content-header">
      <h1>
       Add usertype
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Forms</a></li>
        <li class="active">General Elements</li>
      </ol>
    </section>
    
  <section class="content">
    <div class="row">
      <div class="col-md-10">
        <div class="box box-primary">
            <!-- <div class="box-header with-border">
              <h3 class="box-title">Quick Example</h3>
            </div> -->
            <form role="form" id="quickForm" method="post" action="{{route('usertype.store')}}">
              {{ csrf_field() }}
              <div class="box-body">
                  <div class="form-group">
                    <label for="name">Name</label>
                    <input type="text" name="name" class="form-control" id="heading" placeholder="Enter name here">
                  </div>
                  <div class="form-group">
                    <label for="status">Status</label>
                      <div class="form-control">
                        <input type="radio" value="active" name="status"  id="status"><span style="padding-left: 10px;">active</span>
                         <input type="radio" value="expired" name="status"  id="status"><span style="padding-left: 10px;">Expired</span>
                        <input type="radio" name="status" value="disable" style="margin-left: 50px;" id="is_active"> <span style="padding-left: 10px;">Disable</span>
                      </div>
                  </div>
              </div>
              
               <div class="box-footer">
                <button type="submit" class="btn btn-primary">Submit</button>
              </div>
          </form>
        </div>
      </div>
    </div>
  </section>
</div>



            
                  
            
      
        
       
  @endsection

resources/views/back/usertype/edit.blade.php
  @extends('back.layout.master')
  @section('content')


  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
       Update UserType
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Forms</a></li>
        <li class="active">General Elements</li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
       <div class="col-md-10">
       
        <div class="box box-primary">
              <form method="POST" action="{{route('usertype.update',$data->id)}}">
              {{ csrf_field() }}
              {{method_field('PUT')}}
              <div class="box-body">
                  <div class="form-group">
                    <label for="name">Name</label>
                    <input type="text" name='name' class="form-control" id="name" placeholder="Enter name here" value="{{$data->name}}">
                  </div>
                  <div class="form-group">
                    <label for="status">Status</label>
                      <div class="form-control">
                        <input type="radio" value="active" name="status"  id="status" @if($data->status=='active')checked @endif><span style="padding-left: 10px;">active</span>

                        <input type="radio" name="status" value="expired" style="margin-left: 50px;" id="status" @if($data->status=='expired')checked @endif ><span style="padding-left: 10px;">expired</span>

                         <input type="radio" name="status" value="disabled" style="margin-left: 50px;" id="status" @if($data->status=='disabled')checked @endif> <span style="padding-left: 10px;">disabled</span>
                      </div>
                  </div>
              </div>
            
               <div class="box-footer">
                <button type="submit" class="btn btn-primary">Submit</button>
              </div>
              </form>
            </div>
        </div>
      </div>
    </section>
  </div>
   @endsection
                 
                
               

               
            
              
              
            
              
            
        

      
  


 

resources/views/back/usertype/index.blade.php
@extends('back.layout.master')
@section('content')




 <div class="content-wrapper">
      <section class="content-header">
      <h1>
        Data Tables
        <small>advanced tables</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Tables</a></li>
        <li class="active">Data tables</li>
      </ol>
    </section>

  <div class="box-body">
              <table id="example1" class="table table-bordered table-hover">
                <thead>
                <tr>
                  <th>Id</th>
                  <th>Name</th>
                  <th>Status</th>
                  <th>Action</th>
                </tr>
                </thead>
                <tbody>
                @php $i=1; @endphp
                @foreach($data as $key=>$d)
  		        <tr>
                  <td scope="row">{{$i}}}</td>
                  <td>{{$d->name}}</td>
                  <td>{{$d->status}}</td>
        
                  <td>
                  	<a href="{{route('usertype.edit',$d->id)}}" class="btn btn-secondary"><i class="fa fa-cogs"></i>Edit</a>
                  	  <a class="btn btn-secondary delete" style="border-color: none;"><form action="{{route('usertype.destroy',$d->id)}}" method="POST" class="d-inline">
                  		{{ csrf_field() }}
                  		{{method_field('delete')}}  
                <button class="btn btn-secondary" ><i class="fa fa-trash">Delete</i></button>
                  	</form>
                </a>
                  
                  </td>
                </tr>
                @php $i++; @endphp
                @endforeach
               </tbody>
              </table>
         </div>
       </div>

@endsection